#ifndef _COMMON_SMARTSTREAM_HPP_
#define _COMMON_SMARTSTREAM_HPP_
#include <iostream.h>
#include <strstrea.h>
#ifndef _COMMON_STRING_HPP_
#include <common/string.hpp>
#endif

class SmartStream : public strstream
{
public:
	enum {Colon=':',Comma=',',DoubleQuote='"',LeftParen='(',RightParen=')'};
	SmartStream(void);
	SmartStream(const String &someString);
	~SmartStream();
  SmartStream &fail(void);
private:
};

inline
SmartStream::SmartStream(void)
{
}

inline
SmartStream::SmartStream(const String &someString)
{
  *this<<(char*)someString<<ends;  
}

inline
SmartStream::~SmartStream()
{
}
#endif

